| i3c Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XI3c_Config Struct Reference
Overview

This typedef contains configuration information for the device. More...

## Data Fields
u16 | DeviceId
| Unique ID of device. More...
UINTPTR | BaseAddress
| Base address of the device. More...
u32 | InputClockHz
| Input clock frequency. More...
u8 | RwFifoDepth
| Read and write fifo depth. More...
u8 | WrThreshold
| Write fifo programmable threshold byte count. More...
u8 | DeviceCount
| Number of devices connected. More...
u8 | IbiCapable
| IBI Capability. More...
u8 | HjCapable
| Hot Join Capability. More...
u8 | DeviceRole
| Device role. More...

## Detailed Description

This typedef contains configuration information for the device.

## Field Documentation

UINTPTR XI3c_Config::BaseAddress

Base address of the device.

Referenced by I3cMasterDaaExample(), I3cMasterIntrExample(), I3cMasterPolledExample(), I3cSlaveIntrExample(), I3cSlavePolledExample(), XI3c_CfgInitialize(), XI3c_FillCmdFifo(), XI3c_IbiRecv(), XI3c_IbiRecvPolled(), XI3c_MasterInterruptHandler(), XI3c_MasterRecv(), XI3c_MasterSend(), XI3c_ReadRxFifo(), XI3c_SetSClk(), XI3c_SlaveInterruptHandler(), and XI3c_WriteTxFifo().

u8 XI3c_Config::DeviceCount

Number of devices connected.

Referenced by XI3c_CfgInitialize().

u16 XI3c_Config::DeviceId

Unique ID of device.

Referenced by XI3c_CfgInitialize().

u8 XI3c_Config::DeviceRole

Device role.

Referenced by XI3c_CfgInitialize().

u8 XI3c_Config::HjCapable

Hot Join Capability.

Referenced by XI3c_CfgInitialize().

u8 XI3c_Config::IbiCapable

IBI Capability.

Referenced by XI3c_CfgInitialize(), and XI3c_MasterInterruptHandler().

u32 XI3c_Config::InputClockHz

Input clock frequency.

Referenced by XI3c_CfgInitialize(), and XI3c_SetSClk().

u8 XI3c_Config::RwFifoDepth

Read and write fifo depth.

Referenced by XI3c_CfgInitialize(), XI3c_SlaveSend(), and XI3c_SlaveSendPolled().

u8 XI3c_Config::WrThreshold

Write fifo programmable threshold byte count.

Referenced by XI3c_CfgInitialize(), and XI3c_MasterSend().